菜鸟安装scim的傻瓜过程

为当前最终发行版之前的所有版本提供支持
回复
akey307
帖子: 36
注册时间: 2006-02-01 21:40
送出感谢: 0
接收感谢: 0

菜鸟安装scim的傻瓜过程

#1

帖子 akey307 » 2006-02-03 18:34

本人按照Ubuntu http://www.ubuntu.org.cn/support/docume ... guide/scim 如何安装中文输入法 (SCIM)? 的帖子安装中文输入法,屡次失败。

反复试验后,下面的这个方法可行,与大家一起分享一下。

首先用光盘安装base system后

sudo apt-get remove firefox mozilla-firefox
sudo apt-get install mozilla-firefox

sudo apt-get install ubuntu-base ubuntu-desktop


sudo cp /etc/apt/source.list /etc/apt/source.list_backup

将source.list的内容修改为

## Major bug fix updates produced after the final release of the
## distribution.
deb http://archive.ubuntu.com/ubuntu breezy-updates main restricted
deb-src http://archive.ubuntu.com/ubuntu breezy-updates main restricted

## Uncomment the following two lines to add software from the 'universe'
## repository.
## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## universe WILL NOT receive any review or updates from the Ubuntu security
## team.
deb http://archive.ubuntu.com/ubuntu breezy main universe multiverse restricted
deb-src http://archive.ubuntu.com/ubuntu breezy main universe multiverse restricted

deb http://security.ubuntu.com/ubuntu breezy-security main restricted
deb-src http://security.ubuntu.com/ubuntu breezy-security main restricted

deb http://security.ubuntu.com/ubuntu breezy-security universe
deb-src http://security.ubuntu.com/ubuntu breezy-security universe

然后
sudo apt-get update


sudo apt-get dist-upgrade


sudo apt-get --purge remove portmap

sudo apt-get install language-pack-gnome-zh language-pack-gnome-zh-base language-pack-zh language-pack-zh-base language-support-zh

sudo apt-get install scim
sudo apt-get install scim-chinese
sudo apt-get install scim-config-socket
sudo apt-get install scim-gtk2-immodule
sudo apt-get install scim-tables-zh
wget -c http://www.study-area.org/apt/firefly-f ... 3.0.tar.gz
sudo tar zxvf fireflysung-1.3.0.tar.gz -C /usr/share/fonts/truetype/
sudo chown -R root:root /usr/share/fonts/truetype/fireflysung-1.3.0/
sudo fc-cache -f -v




重启,生效。
头像
dongmh
帖子: 715
注册时间: 2005-06-21 20:24
来自: 甘肃
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 dongmh » 2006-02-03 19:02

sudo apt-get install scim-gtk2-immodule

这个不要安装 有很多的问题的
ubuntu 6.06
我是初学者 大家多多关照
nofoghu
帖子: 198
注册时间: 2005-08-06 10:10
送出感谢: 0
接收感谢: 0

#3

帖子 nofoghu » 2006-04-05 18:33

dongmh 写了:sudo apt-get install scim-gtk2-immodule

这个不要安装 有很多的问题的
i have been installed,and now can't use scim.
555
回复

回到 “老旧版本支持”